Bug 1015859 - [RHEVM-DWH-SETUP] - "ovirt-history database is not correctly detected in upgrades from 3.2->3.3 due to postgres ownership
[RHEVM-DWH-SETUP] - "ovirt-history database is not correctly detected in upgr...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Sandro Bonazzola
Barak Dagan
: TestBlocker, Triaged
Depends On:
Blocks: 981951 3.3snap2
  Show dependency treegraph
Reported: 2013-10-06 05:21 EDT by Barak Dagan
Modified: 2014-01-21 10:00 EST (History)
9 users (show)

See Also:
Fixed In Version: IS23 - rhevm-dwh-3.3.0-21.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
The rhevm-dwh database was not correctly detected when upgrading from version 3.2 to 3.3 because it was owned by the postgres user. Now the database owner is correctly updated and detected during upgrade.
Story Points: ---
Clone Of:
Last Closed: 2014-01-21 10:00:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20154 None None None Never

  None (edit)
Description Barak Dagan 2013-10-06 05:21:04 EDT
Description of problem:
rhevm-dwh-setup fails when upgrading from 3.2 (SF20.3) to 3.3 (SI17.1)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install 3.2.3 + dwh + reports
2. yum update -y --skip-broken
3. engine-setup
4. yum install rhevm-reports -y
5. rhevm-dwh-setup

Actual results:
Error encountered while installing rhevm-dwh :

2013-10-06 11:28:16::DEBUG::common_utils::776::root:: stderr = ERROR:  database "ovirt_engine_history" already exists

2013-10-06 11:28:16::DEBUG::common_utils::777::root:: retcode = 129
2013-10-06 11:28:16::ERROR::rhevm-dwh-setup::506::root:: Exception caught!
2013-10-06 11:28:16::ERROR::rhevm-dwh-setup::507::root:: Traceback (most recent call last):
  File "/usr/bin/rhevm-dwh-setup", line 412, in main
    utils.createDB(db_dict['dbname'], db_dict['username'])
  File "/usr/share/ovirt-engine-dwh/common_utils.py", line 953, in createDB
  File "/usr/share/ovirt-engine-dwh/common_utils.py", line 1206, in runPostgresSuQuery
  File "/usr/share/ovirt-engine-dwh/common_utils.py", line 780, in execCmd
    raise Exception(msg)
Exception: Return Code is not zero

Expected results:

Additional info:
Comment 2 Barak Dagan 2013-11-14 13:04:35 EST
Verified on IS23, rhevm-dwh-3.3.0-21.el6ev.noarch.

Several upgrades from 3.2 (SF21.1) to 3.3 performed successfully
Comment 3 Charlie 2013-11-27 19:54:59 EST
This bug is currently attached to errata RHEA-2013:15116. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to 
minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 6 errata-xmlrpc 2014-01-21 10:00:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.